<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<meta name="Description" content="Ab-initio simulation at Neel Institut." />
<meta name="Keywords" content="ab-initio simulations, condensed matter, fiesta, siesta, yambo, many body, gw, bethe-salpter, spectroscopy" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="Distribution" content="Global" />
<meta name="Author" content="Erwin Aligam - ealigam@gmail.com" />
<meta name="Robots" content="index,follow" />

<link rel="stylesheet" href="images/BrightSide.css" type="text/css" />

<title>Ab-initio group at N&eacute;el Institut</title>
	
</head>

<body>
<!-- wrap starts here -->
<div id="wrap">
	
	<div id="header">				
			
		<h1 id="logo">Group <span class="green">name</span><span class="gray"></span></h1>	
		<h2 id="slogan">Your insitute</h2> 
		
<!--		<form method="post" class="searchform" action="#">
			<p><input type="text" name="search_query" class="textbox" />
  			<input type="submit" name="search" class="button" value="Search" /></p>
		</form> -->
			
		<!-- Menu Tabs -->
		<ul>
			<li><a href="publications.php"><span>Publications</span></a></li>
		</ul>	
													
	</div>	
				
	<!-- content-wrap starts here -->
	<div id="content-wrap">		
											
		
		<div id="sidebar" >							
				
			<h1>Group activities</h1>
				
			<h1> Quote:</h1>
			<p>&quot;Omnem locum sapienti viro patriam esse.&quot;</p>		
				
			<p class="align-right">- Seneca</p>					
		
		</div>
			
		<div id="main2">	 

<?php
$ipub=0;

if(!isset($_GET['pubdate'])) $pubdate="20".(date('y'));
else $pubdate=$_GET['pubdate'];

//if($pubdate==2010) $pubdate=2009;
$pubfile="publications/".$pubdate.".txt";

//debug
//echo "<br> testing <br>";
//$pubfile="publications/test.txt";
//echo $pubfile.'<br>';
//

//// safe_mode ???
//echo exec('grep PT publications/'.$pubfile.' |wc -l');

// write page header
$pubpage='
<div class="tit_bot">
   <div class="tit">
<center><h1><span class="tit_span"> Publications&nbsp;</span></h1><br>
</div>
	   <table WIDTH=100% CELLSPACING=2 CELLSPACING=10><tr align=center>';
	   
for($i=(int)date('y');$i>=8;$i--)
{
  $yr=2000+$i;
  $pubpage.='<td align-center> [<a href="publications.php?pubdate='.$yr.'">'.$yr.'</a>]</td>';
}
$pubpage.='</tr></table><br><table width=98%>
<h2>&nbsp;&nbsp;'.$pubdate.'</h2>
&nbsp;&nbsp;=============================================================<br><br>';

// check file existence
if(!$mp = @fopen($pubfile, "r")) {
  $nofile=1;
  echo "<br><!--File ".$pubfile." not found! --><br>";
} else {
  $nofile=0;
  $isiformat=fgets($mp,4096);
  // check file type
  if($isiformat!="FN ISI Export Format\n") echo " <!-- WARNING! publications file not in ISI format! -->";
  $ver=fgets($mp,4096);
  if($ver!="VR 1.0\n")
    echo " WARNING! ISI version different from 1.0!<br>";
  $ipub = 0;
  $endfile=0;
}

function getrec($fp)
{
  global $fields;
  $emptyrec=1;
  $endrec=0;
  
  do 
  {
    $tmp=fgets($fp,4096);
    list($type,$value)=split(" ",$tmp,2);
    
    if ($type[0].$type[1]=='ER') {
      $endrec=1;
      if ($emptyrec) {
	echo "Error, empty record!<br>";
	return 0;
      } else {
	//debug
	//echo "Record completed<br>";
	//
      }
    } else {
      $emptyrec=0;
      if ($type=='') {
	$str=trim($value);
	if ($ptype=='AU') {
	  $str.='.';
	  list($last,$first)=split(',',$str);
	  $fields[$ptype]=$fields[$ptype].' '.$first.' '.$last.', ';
	}
	if ($ptype=='TI') {
	  $fields[$ptype]=$fields[$ptype].' '.$str;
	}
	if ($ptype=='DI') {
	  $fields[$ptype]=$fields[$ptype].' '.$str;
	}

      } else {
	$str=trim($value);
	if ($type=='AU') {
	  $str.='.';
	  list($last,$first)=split(',',$str);
	  $fields[$type]=$first.' '.$last.', ';
	} else {
	  $fields[$type]=$str;
	}
	$ptype=$type;
      }
    }
    
    // debug
    //echo $type."-".$value."<br>";
    //

  } while(!$endrec);

  return 1;
}

function showrec()
{
  global $fields;

  if ($fields["AR"]!='') {
    $pages=$fields["AR"];
  } elseif ($fields["BP"]!='') {
    $pages=$fields["BP"];
    if ($fields["EP"]!='') $pages.='-'.$fields["EP"];
  } else {
    $pages='';
  }

 if ($fields["SO"]!='') {
   $journal=$fields["SO"];
 } elseif ($fields["SI"]!='') {
   $journal=$fields["SI"];
 } elseif ($fields["SE"]!='') {
   $journal=$fields["SE"];
 } else {
   $journal='(unpublished?)';
 }
 $journal="<br>".$journal;
  
  if ($fields["TI"]=='') {
    $rec='<tr><td>'.$fields["PN"].') <b>Title is missing???</b><br>';
  } else {
    $rec='<tr><td>'.$fields["PN"].') <b><a href="http://dx.doi.org/'.$fields["DI"].'">'.$fields["TI"].'</a></b><br>';
  }
  $rec.='<div class=testo>'.$fields["AU"].' '.$journal.' <b>'.$fields["VL"].'</b>, '.$pages.' ('.$fields["PY"].").</div><br></td></tr>\n";  
  return $rec;
}


// initialize vector
$fields["PN"]=0;
$fields["PT"]='';
$fields["AU"]='';
$fields["TI"]='';

// intialize counter step
$istp=1;

// if file exists parse all records (file should end with "EF")
if(!$nofile)
{
  do
  {
    // get one line from file
    $tmp=fgets($mp,4096);
    //echo "line is:<blockquote>".$tmp."</blockquote><br>"; //debug
    
    // skip empty lines
    if ($tmp=="\n")
    {
      //echo 'empty line<br>'; //debug
      continue;
    } else {
      list($type,$value)=split(' ',$tmp,2);
//      echo $type."-".$value."<br>"; //debug
    }
    
    // check if end of file has been reached
    if($type[0].$type[1]=='EF')
    {
      $endfile=1;
//      echo "EOF reached"; //debug
    } elseif ($type=='PT') {
//      echo 'processing publication of type '.$value.'<br>'; //debug
      // reset fields vector
      reset($fields);
      while ( list($kk,$vv)=each($fields) ) {
	$fields[$kk]='';
//	echo "fields[$kk]= ".$fields[$kk].'<br>'; //debug
      }
      $fields["PT"]=$value;
      if (getrec($mp)) {
        $ipub+=$istp;
	if ($ipub>999) {
	  echo " ERROR! Publication number > 999!";
	  $endfile=1;
	} else {
	  $fields["PN"]=$ipub;
	  $pubpage.=showrec();
	}
	
 
//	echo 'Record '.$ipub.' OK<br>'; //debug
//        reset($fields); //debug
//        while ( list($kk,$vv)=each($fields) ) {
//	  echo "fields[$kk]= ".$fields[$kk].'<br>';
//        }
      } else {
	echo 'Record is wrong!!!';
      }
    } elseif ($type=='NR') {
	$ipub=$value+1;
	$istp=-1;
    } else {
      echo 'unexpected key'.$type.'<br>';
    }
    
   
  } while(!$endfile);
  
}

$pubpage.="</table></center><br><br></div>";
if ($ipub==0) $pubpage.="<center>No publications</center>";
   
echo $pubpage;
?>

</div>	
		<div id="rightbar">
			
			<!-- <h1>Support Styleshout</h1>
			<p>If you are interested in supporting my work and would like to contribute, you are
			welcome to make a small donation through the 
			<a href="http://www.styleshout.com/">donate link</a> on my website - it will 
			be a great help and will surely be appreciated.</p>	
				
			<h1>Lorem Ipsum</h1>
			<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec libero. Suspendisse bibendum. 
			Cras id urna. Morbi tincidunt, orci ac convallis aliquam, lectus turpis varius lorem, eu 
			posuere nunc justo tempus leo. Donec mattis, purus nec placerat bibendum, dui pede condimentum 
			odio, ac blandit ante orci ut diam.</p> -->
			
		</div>			
			
	<!-- content-wrap ends here -->		
	</div>

<!-- footer starts here -->	
<div id="footer">
	
	<div class="footer-left">
		<p class="align-left">			
		&copy; 2006 <strong>Company Name</strong> |
		Design by <a href="http://www.styleshout.com/">styleshout</a> |
		Valid <a href="http://validator.w3.org/check/referer">XHTML</a> |
		<a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a>
		<br />
		<!--This theme is free for distriubtion,  so long as  link to openwebdesing.org and dubaiapartments.biz  stay on the theme-->  | Courtesy <a href="http://www.openwebdesign.org" target="_blank">Open Web Design</a></p>		
	</div>
	
	<div class="footer-right">
		<p class="align-right">
		<a href="index.html">Home</a>&nbsp;|&nbsp;
  		<a href="index.html">SiteMap</a>&nbsp;|&nbsp;
   	<a href="index.html">RSS Feed</a>
		</p>
	</div>
	
</div>
<!-- footer ends here -->
	
<!-- wrap ends here -->
</div>

</body>
</html>
